# Base Connector Setup

### **Base Connector configuration**

```json
{
    "name": "",
    "contype": "",
    "status": "",
    "auth_config": {},
    "base_domain": "",
    "header": {},
    "url_token_extension": "",
    "search_config": null,
    "pagination_config": null,
    "external_schema_config": null,
    "image_url": "",
    "display_on_landing_pages": false,
    "internal_docs": null,
    "external_docs": null,
    "external_auth_docs": null,
    "external_swagger_docs": null,
    "short_description": null,
    "long_description": null,
    "con_arrow": null,
    "order_rank": 1,
    "tags": []
}
```

<table><thead><tr><th width="222.2109375">Key</th><th width="102.71875">Type</th><th>Description</th></tr></thead><tbody><tr><td>name</td><td>String</td><td>Name of connector</td></tr><tr><td>contype</td><td>String</td><td><p>Options:</p><ul><li><strong>connector</strong> - Any SaaS app or system</li><li><strong>helper</strong> - Helper are only internally used by Locoia</li></ul></td></tr><tr><td>status</td><td>String</td><td><p>Options:</p><ul><li><strong>active</strong> - live and available for everyone</li><li><strong>draft</strong> - while debugging; only visible for you and the super admin of Locoia. If a connector's status is set to draft, only Admin users can see it inside the app. However, it will still be visible to regular users if it has been added to a flow while the status was set to active. But the side-panel will not be opened when the users clicks on the connector inside the flow</li><li><strong>paused</strong> - a connector that is used by running flows but needs to be paused for some reasons. Be careful: All flows containing this Connector will not be executed</li></ul></td></tr><tr><td>auth_config</td><td>Object</td><td>Described in the <a href="https://locoia.gitbook.io/connectors/authentication-types">Authentication Types</a> section.</td></tr><tr><td>base_domain</td><td>String</td><td>The base domain of an API, e.g. <a href="https://api.hubapi.com/">https://api.hubapi.com/</a> Base Domain <strong>can be left empty</strong> on the Connector setup itself and a <strong>custom domain asked</strong> for in the authentication configuration form presented to the user can be marked as required, so that always the custom domain will be used.</td></tr><tr><td>header</td><td>Object</td><td><p></p><pre class="language-json"><code class="lang-json">{
    "token_in_header": true, 
    "content_type": "application/json", 
    "header_key": "Authorization", 
    "token_format": "{{token}}", 
    "token_prefix":"{{token_format}}"
}
</code></pre></td></tr><tr><td>url_token_extension</td><td>String</td><td><p>Not recommended!<br>Some connectors only allow to add an API key to the end of a url as a query string parameter:</p><p><code>{{endpoint}}hapikey={{token}}</code></p></td></tr><tr><td>search_config</td><td>Object</td><td>Described in <a href="https://locoia.gitbook.io/connectors/base-connector-setup/search-automation">Search Automation</a>.</td></tr><tr><td>pagination_config</td><td>Object</td><td>Described in <a href="https://locoia.gitbook.io/connectors/base-connector-setup/pagination-automation">Pagination Automation</a>.</td></tr><tr><td>external_schema_config</td><td>Object</td><td>Described in <a href="https://locoia.gitbook.io/connectors/base-connector-setup/graphql-apis">GraphQL APIs</a>.</td></tr><tr><td>image_url</td><td>String</td><td>The file name of the logo image, e.g. hubspot.svg. Ideally an svg should be used. If a png is used, it must be transparent and min 350px width and height.</td></tr><tr><td>display_on_landing_pages</td><td>Boolean</td><td>Determines if a connector should be displayed on the landing page:<br><a href="https://www.locoia.com/connector/integrations">https://www.locoia.com/connector/integrations</a></td></tr><tr><td>internal_docs</td><td>String</td><td>Link to docs of Locoia, e.g.: <a href="https://docs.locoia.com/connectors/connectors/hubspot">https://docs.locoia.com/connectors/connectors/hubspot</a></td></tr><tr><td>external_docs</td><td>String</td><td>Links to API Docs e.g.: <a href="https://developers.hubspot.com/docs/api/overview">https://developers.hubspot.com/docs/api/overview</a></td></tr><tr><td>external_auth_docs</td><td>String</td><td>Link pointing to external authentication docs e.g.: <a href="https://developers.hubspot.com/docs/api/working-with-oauth">https://developers.hubspot.com/docs/api/working-with-oauth</a></td></tr><tr><td>external_swagger_docs</td><td>String</td><td>Link pointing to external swagger docs, the JSON file itself.</td></tr><tr><td>short_description</td><td>String</td><td>A short description of max 160 characters.</td></tr><tr><td>long_description</td><td>String</td><td>A longer description of max 2000 characters.</td></tr><tr><td>con_arrow</td><td>Object</td><td><p>An object describing arrows attached to a Helper. E.g.:</p><pre class="language-json"><code class="lang-json">{
  "links": [
    {
      "label": "Case 1",
      "direction": "down"
    },
    {
      "label": "Case 2",
      "direction": "down"
    },
    {
      "label": "Case n - For each case add an arrow",
      "direction": "right"
    }
  ]
}
</code></pre></td></tr><tr><td>order_rank</td><td>Number</td><td>A rank of the order in which the Connector will be displayed</td></tr><tr><td>tags</td><td>List</td><td>A list of tags as per the options here: <a href="https://www.locoia.com/connector/integrations">https://www.locoia.com/connector/integrations</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.locoia.com/connectors/building-connectors/base-connector-setup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
